Skip to main content
PUT
/
api
/
catalog
/
review-preferences
/
{product_type_key}
Set Review Preferences
curl --request PUT \
  --url https://api.merchantops.ai/api/catalog/review-preferences/{product_type_key} \
  --header 'Content-Type: application/json' \
  --data '
{
  "visible_property_keys": [
    "<string>"
  ]
}
'
{
  "product_type_key": "<string>",
  "is_default": false,
  "updated_at": "<string>",
  "updated_by": "<string>",
  "visible_property_keys": [
    "<string>"
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

product_type_key
string
required

Cookies

stytch_session
string | null

Body

application/json
visible_property_keys
string[]
required
Maximum array length: 500

Response

Successful Response

Resolved review-field config for a ProductType.

is_default is True when no type-specific override exists and the response came from the org-wide __default__ fallback (which itself may be empty if the org hasn't configured a default yet).

product_type_key
string
required
is_default
boolean
default:false
updated_at
string | null
updated_by
string | null
visible_property_keys
string[]